Bug 438214 - [QLogic 5.2 bug] qla4xxx: Fix scsi completion, lun reset code
[QLogic 5.2 bug] qla4xxx: Fix scsi completion, lun reset code
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
high Severity urgent
: rc
: ---
Assigned To: Marcus Barrow
Martin Jenner
Depends On:
Blocks: 216992 439316
  Show dependency treegraph
Reported: 2008-03-19 14:18 EDT by David Somayajulu
Modified: 2008-05-21 11:12 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 11:12:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
qla4xxx: Fix scsi completion, lun reset code (7.12 KB, patch)
2008-03-19 14:18 EDT, David Somayajulu
no flags Details | Diff

  None (edit)
Description David Somayajulu 2008-03-19 14:18:27 EDT
Description of problem:
1. Remove extraneous code and fix scsi command completion code so that when the
HBA indicates that the completion status is good, check the iscsi transport
status prior to processing scsi status
2. Firmware requirement is to issue one marker iocb per task management command.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
The corresponding patch has already been posted to linux-scsi reflector
Comment 1 David Somayajulu 2008-03-19 14:18:27 EDT
Created attachment 298561 [details]
qla4xxx: Fix scsi completion, lun reset code
Comment 2 Andrius Benokraitis 2008-03-19 14:37:55 EDT
Just making sure this is a RHEL 5.3 item... correct?
Comment 3 David Somayajulu 2008-03-19 14:40:10 EDT
If this can go into 5.2 that would be great!
Comment 4 Andrius Benokraitis 2008-03-19 15:10:07 EDT
I think this should be assigned to Marcus, since the code is isolated to the
qla4xxx code, not anything Mike would be involved with.

Marcus - I know you're pretty hammered to get everything in - what's this priority?
Comment 5 Tom Coughlan 2008-03-19 21:05:31 EDT
At this point in the 5.2 schedule, the only fixes we can take are for data
corruption, system crashers, or serious regressions introduced in 5.2. Does this
fit that bill?
Comment 6 Marcus Barrow 2008-03-19 21:19:02 EDT
I corresponded with David S. earlier today. This is a serious issue where one of several status that 
comprise the success or failure of an I/O was missed. In addition a required handshake " a marker" with
the HBA is not properly performed.

The problem with the status would be that a iSCSI Transport/Completions are not properly identified.
This issue would cause a data corruption, because the error would be missed.

Secondly the problem with the handshake would cause the device queue on the HBA to block, preventing
further I/o.

Comment 9 Don Zickus 2008-03-26 16:32:03 EDT
in kernel-2.6.18-87.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 12 errata-xmlrpc 2008-05-21 11:12:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.